Subject: bug#16163: 24.3.50; segfault at xdisp.c 20044 -- (can not reproduce)

From: Nicolas Richard <[email-masked]>
Date: Tue, 17 Dec 2013 11:33:55 +0100

Le 16/12/2013 18:01, Eli Zaretskii a écrit :
>  (gdb) set logging on

Thanks, I have put that line inside my ~/.gdbinit

> Not much to go by here, unfortunately.  You didn't even tell which
> part of the above segfaulted: was it row->glyphs,
> row->glyphs[TEXT_AREA]->charpos, or it->position?

Is it a piece of information I can still retrieve from the running gdb
instance ? (Yes, I am particularly ignorant.)

> In addition, this seems to be an optimized build, so backtraces are
> unreliable.  Please try reproducing this in an unoptimized build.

I'm now rebuilding using :

CFLAGS=-g3 ./configure --with-x-toolkit=lucid --enable-checking

Is this correct ?

-- 
Nicolas